> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取终端用户

> 根据 ID 获取终端用户信息。当其他 API 返回终端用户 ID（例如[上传文件](/api-reference/文件操作/上传文件)返回的 `created_by`）时很有用。



## OpenAPI

````yaml /zh/api-reference/openapi_completion.json get /end-users/{end_user_id}
openapi: 3.0.1
info:
  title: 文本生成型应用 API
  description: 文本生成型应用提供无会话支持，适用于翻译、文章撰写、摘要总结 AI 等场景。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 文本生成型应用 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 文本生成
    description: 文本生成相关操作。
  - name: 文件操作
    description: 文件管理相关操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈相关操作。
  - name: 语音与文字转换
    description: 语音转文字和文字转语音相关操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
paths:
  /end-users/{end_user_id}:
    get:
      tags:
        - 终端用户
      summary: 获取终端用户
      description: >-
        根据 ID 获取终端用户信息。当其他 API 返回终端用户 ID（例如[上传文件](/api-reference/文件操作/上传文件)返回的
        `created_by`）时很有用。
      operationId: getEndUserCompletionCn
      parameters:
        - name: end_user_id
          in: path
          required: true
          description: 终端用户 ID。
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: 成功获取终端用户。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserDetail'
              examples:
                endUserDetail:
                  summary: 响应示例
                  value:
                    id: f1e2d3c4-b5a6-7890-abcd-ef1234567890
                    tenant_id: 11223344-5566-7788-99aa-bbccddeeff00
                    app_id: a1b2c3d4-5678-90ab-cdef-1234567890ab
                    type: service_api
                    external_user_id: abc-123
                    name: null
                    is_anonymous: false
                    session_id: abc-123
                    created_at: '2024-01-16T12:00:29Z'
                    updated_at: '2024-01-16T12:00:29Z'
        '404':
          description: '`end_user_not_found` : 未找到终端用户。'
          content:
            application/json:
              examples:
                end_user_not_found:
                  summary: end_user_not_found
                  value:
                    status: 404
                    code: end_user_not_found
                    message: End user not found.
components:
  schemas:
    EndUserDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 终端用户 ID。
        tenant_id:
          type: string
          format: uuid
          description: 租户 ID。
        app_id:
          type: string
          format: uuid
          nullable: true
          description: 应用 ID。
        type:
          type: string
          description: 终端用户类型。Service API 用户固定为 `service_api`。
        external_user_id:
          type: string
          nullable: true
          description: >-
            API 请求中提供的 `user` 标识符（例如 [发送消息](/api-reference/文本生成/发送消息) 中的 `user`
            字段）。
        name:
          type: string
          nullable: true
          description: 终端用户名称。
        is_anonymous:
          type: boolean
          description: 用户是否为匿名用户。当原始 API 请求中未提供 `user` 标识符时，值为 `true`。
        session_id:
          type: string
          description: 会话标识符。默认为 `external_user_id` 的值。
        created_at:
          type: string
          format: date-time
          description: 创建时间戳。
        updated_at:
          type: string
          format: date-time
          description: 最后更新时间戳。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````